Subject: bug#50669: 28.0.50; python-shell-send-string leads to "nesting exceeds `max-lisp-eval-depth`" error

From: Augusto Stoffel <[email-masked]>
Date: Sun, 19 Sep 2021 11:42:56 +0200

On Sun, 19 Sep 2021 at 12:28, Michael-David Fiszer <[email-masked]> wrote:

> Hi!
>
> Thanks for the response!
>
> I'll fill in the details shortly. I wanted to add to the bug, that the functions being called repeatedly
> were `python-shell-send-string` and `python-shell-send-file`.
>
> They call one another and create more and more temporary files before I get the recursion error.
>

Are you on the current master?  These two functions used to be
entangled, but now only -send-string calls -send-file.